# Documentation pour les tables et les requetes

## Table Ingrédients

### Création de la table

```sql
/*au cas ou l'on voudrait être un terroriste et enlever la table si elle existe déja  DROP TABLE IF EXISTS ingredients CASCADE;*/
CREATE TABLE ingredients(id INT PRIMARY KEY, nom TEXT UNIQUE, price REAL);
INSERT INTO TABLE ingredients(id,nom ,price) VALUES (1,'jambon',2.00),(2,'poivrons',3.00),(3,'mozarella',2.50),(4,'lardons',2.20),(5,'miel',3.50),(6,'chorizo',4.00);
```

### Requête sur la table

FIND ALL
```sql
SELECT nom ,price FROM ingredients;
```

Sélectionner seulement un ingrédient \
les ? représentent l'élément passé en argument 

```sql
SELECT nom , price , FROM ingrédient where id = ?;
```


