DROP TABLE IF EXISTS ingredient CASCADE;
CREATE TABLE ingredient (id SERIAL PRIMARY KEY, nom TEXT UNIQUE, prix REAL);

DROP TABLE IF EXISTS pate CASCADE;
CREATE TABLE pate (id SERIAL PRIMARY KEY, nom TEXT UNIQUE);

DROP TABLE IF EXISTS pizza CASCADE;
CREATE TABLE pizza (id SERIAL PRIMARY KEY, nom TEXT UNIQUE, pate_id INTEGER, prix REAL, FOREIGN KEY (pate_id) REFERENCES pate(id));

DROP TABLE IF EXISTS utilisateur CASCADE;
CREATE TABLE utilisateur (id SERIAL PRIMARY KEY, login TEXT UNIQUE, password TEXT);
INSERT INTO utilisateur VALUES (1, 'default', 'default');

DROP TABLE IF EXISTS commande CASCADE;
CREATE TABLE commande (id SERIAL PRIMARY KEY, utilisateur_id INT, date CHAR(10), prix REAL, FOREIGN KEY (utilisateur_id) REFERENCES utilisateur(id) ON UPDATE CASCADE ON DELETE CASCADE);