package POJO;

public class Ingredient {
    public int id;
    private String name;
    private double price;

    public Ingredient(int id, String name, double price) {
        this.id = id;
        this.name = name;
        this.price = price;
    }

    public Ingredient(int id, String name) {
        this(id, name, 0.00);
    }
    public Ingredient(int id) {
        this(id, null);
    }
    public Ingredient() {
        this(-1);
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public double getPrice() {
        return price;
    }

    public void setPrice(double price) {
        this.price = price;
    }

    public boolean isEmpty() {
        return id == -1 && name == null && price == 0.0;
    }
}
